Extending Qt Creator Manual | MacroCache

Extending Qt Creator Manual 4.3.0

# MacroCache Class

(ProjectExplorer::MacroCache)

- List of all members, including inherited members

## Public Functions

| MacroCache()
| MacroCache(const MacroCache &other)
QByteArray | check(const QStringList &compilerCommand) const
void | insert(const QStringList &compilerCommand, const QByteArray &macros)

## Protected Functions

Cache | cache() const

## Member Function Documentation

### MacroCache::MacroCache()

Default constructs an instance of MacroCache.

### MacroCache::MacroCache(const MacroCache &other)

Copy constructor.

### `[protected]` Cache MacroCache::cache() const

### QByteArray MacroCache::check(const QStringList &compilerCommand) const

### void MacroCache::insert(const QStringList &compilerCommand, const QByteArray &macros)